//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Program        : JPanel Button Demo
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   A simple program that illustrates how to use javax.swing.JPanel
// for buttons . I've simplified the JFrame to the bare minimum. The 
// buttons have labels, but pushing them doesn't do anything.
//
// Things to try:
//
// 
// 
// 
// Known Bugs     : None
//
// Future Plans   : None
//
// Program History:
//    11/21/04: R. Pattis - Operational for 15-200
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package buttonJPanel;


import java.awt.Color;
import java.awt.Font;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;


class View extends JFrame {

  public void build (Color background)
  {
    setSize(500,500);
    JPanel dp = new DrawPanel(background);
    
    JButton b1 = new JButton("Hot");
    JButton b2 = new JButton("Medium");
    b2.setEnabled(false);
    JButton b3 = new JButton("Cold");
    b3.setFont(new Font("Monospaced",Font.BOLD,12));
    b3.setBackground(Color.yellow);
    b3.setForeground(Color.blue);
    
    dp.add(b1);
    dp.add(b2);
    dp.add(b3);
    
    setContentPane(dp);
    setVisible(true);
  }

}